from gi.repository import WebKit
from gi.repository import Gtk

WINDOW_WIDTH, WINDOW_HEIGHT = 400, 300


def _destroy_cb(widget, data=None):
    Gtk.main_quit()

window = Gtk.Window()
window.resize(WINDOW_WIDTH, WINDOW_HEIGHT)
window.connect("destroy", _destroy_cb)
window.show()

scrolled_window = Gtk.ScrolledWindow()
window.add(scrolled_window)
scrolled_window.show()


def _progress_changed_cb(widget, param):
    progress = widget.get_progress()
    print 'PROGRESS CHANGED %s... %f' % (widget.get_uri(), progress)


def _loading_changed_cb(widget, param):
    state = widget.get_load_status()
    print "BROWSER 2", state
    if state == WebKit.LoadStatus.FINISHED:
        print "FIN"

webview = WebKit.WebView()
scrolled_window.add(webview)
print 'PROGRESS', webview.props.progress
webview.connect('notify::progress', _progress_changed_cb)
webview.connect('notify::load-status', _loading_changed_cb)

# webview.load_uri('http://google.com')
webview.load_uri('about:blank')
webview.show()

Gtk.main()
